
#   package-load.tcl   -  core

proc init-packages {} {
    global env
    
    set version [info tclversion]
    
#    Common  TclTK packages
    if {![file isdir [file join $env(MIDASBASE) TclTkpackages]]} then {return}

     source [file join $env(MIDASBASE) TclTkpackages package-load.tcl]
     init-packages_[set version]

#    SOAP client commands
    if {![file isdir [file join $env(MIDASBASE) SOAP tcl]]} then {return}

     source [file join $env(MIDASBASE) SOAP tcl package-load.tcl]
     init-packages_[set version]

#    Try for an additional package-load.tcl file 

    if {![file isdir [file join $env(MIDASBASE) packages]]} then {return}

     source [file join $env(MIDASBASE) packages package-load.tcl]
     init-packages_[set version]
}


